//
//  Eyes.swift
//  FaceDemo
//
// https://console.faceplusplus.com.cn/documents/5671270
//
//  Created by Thierry on 2017/2/1.
//  Copyright © 2017年 Gengmei. All rights reserved.
//

import Foundation

struct Face {
    var eyes = Eyes()
}

/// 人面部模型
struct Eyes {
    /// 双眼皮默认的倾斜角度
    var defaultEyelidRad: Double = Double(Double.pi*1.0/180.0)
    
    /// 双眼皮高度和眼高度比
    var eyeLidTHRatio: Float = Float(6.0/18.0)
    
    var leftEyeTop: CGPoint = CGPoint(x: 0, y: 0)
    var leftEyeRightCorner: CGPoint = CGPoint(x: 0, y: 0)
    var leftEyeUpperRightQuarter: CGPoint = CGPoint(x: 0, y: 0)
    var leftEyeLeftCorner: CGPoint = CGPoint(x: 0, y: 0)
    var leftEyeBottom: CGPoint = CGPoint(x: 0, y: 0)
    
    var rightEyeTop: CGPoint = CGPoint(x: 0, y: 0)
    var rightEyeRightCorner: CGPoint = CGPoint(x: 0, y: 0)
    var rightEyeUpperLeftQuarter: CGPoint = CGPoint(x: 0, y: 0)
    var rightEyeLeftCorner: CGPoint = CGPoint(x: 0, y: 0)
    var rightEyeBottom: CGPoint = CGPoint(x: 0, y: 0)
}
